Bug 78414 - Several fixes to dev-db/hsqldb-1.7.2.4 ebuild
Bug#: 78414 Product:  Gentoo Linux Version: unspecified Platform: All
OS/Version: Linux Status: RESOLVED Severity: normal Priority: P2
Resolution: FIXED Assigned To: java@gentoo.org Reported By: k8n@tut.by
Component: Applications
URL: 
Summary: Several fixes to dev-db/hsqldb-1.7.2.4 ebuild
Keywords:  
Status Whiteboard: 
Opened: 2005-01-17 13:12 0000
Description:   Opened: 2005-01-17 13:12 0000
Whe I try to emerge hsqldb I gen "Can not find package servletapi-2.3" error
and compilation fails.
It seems that it is related to wrong servletapi dependency.

One more issue - typo in shell for hsqldb user. It should be /dev/null, not
/dev/hull.

This small patch fixes described issues:
--- /usr/portage/dev-db/hsqldb/hsqldb-1.7.2.4.ebuild    2005-01-01
19:36:29.000000000 +0200
+++ hsqldb-1.7.2.4.ebuild       2005-01-17 23:04:08.000000000 +0200
@@ -14,7 +14,7 @@
 DEPEND=">=virtual/jdk-1.4
                app-arch/unzip
                dev-java/ant-core
-               =dev-java/servletapi-2.4*"
+               =dev-java/servletapi-2.3*"
 RDEPEND=">=virtual/jre-1.4"

 S=${WORKDIR}/${PN}
@@ -76,7 +76,7 @@
 }

 pkg_postinst() {
-       if ! enewgroup hsqldb || ! enewuser hsqldb -1 /bin/sh /dev/hull hsqldb;
then
+       if ! enewgroup hsqldb || ! enewuser hsqldb -1 /bin/sh /dev/null hsqldb;
then
                die "Unable to add hsqldb user and hsqldb group."
        fi


Reproducible: Always
Steps to Reproduce:
1.
2.
3.

------- Comment #1 From Jan Brinkmann (RETIRED) 2005-01-18 08:48:01 0000 -------
thanks for you report, changes commited.